> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/0g/eth_unsubscribe.md).

# eth\_unsubscribe

Subscriptions are cancelled with a regular RPC call with eth\_unsubscribe as a method and the subscription id as the first parameter. It returns a bool indicating if the subscription was cancelled.

#### **Parameters:**

**SUBSCRIPTION ID**

#### **Returns:**

**UNSUBSCRIBED FLAG** - true if the subscription was canceled successfully.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl https://0g-galileo.blockpi.network/v1/rpc/your-rpc-key -X POST -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"eth_unsubscribe","params":["0x9cef478923ff08bf67fde6c64013158d"],"id":1}'

// Result
{
    "jsonrpc": "2.0",
    "id": 1,
    "result": ture
}
```

{% endcode %}
